﻿using System.Collections.Generic;
using System.Text;

namespace TDDExample.GuessNumber
{
    public class GameHistory : IGameHistory
    {
        private readonly List<string> histories = new List<string>();

        #region IGameHistory Members

        public void Add(int[] guess, string guessResult)
        {
            var oneHistory = new StringBuilder();
            foreach (int num in guess)
            {
                oneHistory.AppendFormat("{0} ", num);
            }
            oneHistory.AppendFormat(": {0}", guessResult);
            histories.Add(oneHistory.ToString());
        }

        public string GetAll()
        {
            var output = new StringBuilder();
            foreach (string history in histories)
            {
                output.AppendLine(history);
            }
            return output.ToString();
        }

        #endregion
    }
}